#ifndef ALIJETPARTICLESREADERKINEGOODTPC_H
#define ALIJETPARTICLESREADERKINEGOODTPC_H

/* $Id$ */

//_______________________________________________________________________
/////////////////////////////////////////////////////////////////////////
//
// class AliJetParticlesReaderKineGoodTPC
//
// Reader for Good TPC tracks (generated by macron in TPC)
//
// loizides@ikf.uni-frankfurt.de
//
/////////////////////////////////////////////////////////////////////////

#include <Riostream.h>
#include <TString.h>
#include "AliJetParticlesReader.h"

class AliJetParticlesReaderKineGoodTPC: public AliJetParticlesReader
{
  public:
  AliJetParticlesReaderKineGoodTPC();
  AliJetParticlesReaderKineGoodTPC(TString&);
  AliJetParticlesReaderKineGoodTPC(TObjArray*, const Char_t *filename="good_tracks_tpc");
  virtual ~AliJetParticlesReaderKineGoodTPC();

  void Rewind();

  protected:

  Int_t  ReadNext();
  Int_t  OpenFile(Int_t n);
  Bool_t IsAcceptedParticle(Float_t pt, Float_t phi, Float_t eta) const;
   
  TString   fFileName;  //file name 
  ifstream* fInput;     //!pointer to file

  ClassDef(AliJetParticlesReaderKineGoodTPC,1)
};

inline Bool_t AliJetParticlesReaderKineGoodTPC::IsAcceptedParticle(Float_t pt, Float_t phi, Float_t eta) const
{
  if((pt<fPtMin)||(pt>fPtMax)) return kFALSE;
  if((eta<fEtaMin)||(eta>fEtaMax)) return kFALSE;
  if((phi<fPhiMin)||(phi>fPhiMax)) return kFALSE;

  return kTRUE;
}
#endif
